// Craig S. Kaplan

// Search a text document to find all the phone numbers
// matching a couple of popular patterns.  Just for fun, 
// use all the emails recovered from Drew Fossum's Enron
// email records, as published online after the company went
// belly-up.  There's a limitation here: the program as 
// written will only find the first phone number on every
// line of the input.

// A giant, complicated regular expression for matching
// phone numbers of the following forms:
// (nnn) nnn-nnnn
// nnn-nnn-nnnn
// nnn nnn-nnnn

let p = "(?:(?:\\((\\d\\d\\d)\\) )|(\\d\\d\\d)[ -])(\\d\\d\\d)-(\\d\\d\\d\\d)";
let lines = [];
let myDiv;
let phoneNumbers = [];

function preload() {
  print("preload");
  lines = loadStrings( "/data/input.txt" );
}

function setup()
{
  noCanvas();
  myDiv = createDiv();
  myDiv.style("font-size", "48");

  for ( let idx = 0; idx < lines.length; ++idx ) {
    let m = match( lines[idx], p );
    if ( m != null ) {
      if ( m[1] == null ) {
        phoneNumbers = phoneNumbers + "<br>" + "(" + m[2] + ") " + m[3] + "-" + m[4];
      } else {
        phoneNumbers = phoneNumbers + "<br>" + "(" + m[1] + ") " + m[3] + "-" + m[4];
      }
    }
  }
  myDiv.html(phoneNumbers);
}
