// Craig S. Kaplan
// 
// I wanted to do some useful data processing on the
// Region of Waterloo's list of reserved street names
// (www.regionofwaterloo.ca/en/regionalgovernment/reservedstreetnamesdataset.asp)
// However, what they advertise as a CSV file on their
// web page turns out to be a cutesy ASCII art table, with
// lines drawn in using - and |.  This sketch demonstrates
// the use of text processing functions to convert the
// region's file into useful data.  In theory you could
// take this sketch's output and store it in a *real* CSV
// file.

let lines;
let myDiv;

function preload() {
  lines = loadStrings( "/data/ReservedStreetnames.csv" );
}

function setup() {
  noCanvas();
  myDiv = createDiv();
  myDiv.style("font-size", 36);
  let list = "";
  for ( let idx = 0; idx < lines.length; ++idx ) {
    let line = lines[idx];
    if ( line.charAt( 0 ) != '-' ) {
      let words = splitTokens( line, "|" );
      let street = trim( words[0] );
      let municipality = trim( words[1] );
      list = list + street + "---" + municipality + "<br>";
    }
  }
  myDiv.html(list);
}
